Subject: Re: [PATCH 1/7] mm/page_alloc: Move gfp_allowed_mask enforcement to prepare_alloc_pages

From: Mel Gorman <[email-masked]>
Date: Fri, 19 Mar 2021 17:49:26 +0000

On Fri, Mar 19, 2021 at 05:11:39PM +0100, Vlastimil Babka wrote:
> On 3/12/21 4:43 PM, Mel Gorman wrote:
> > __alloc_pages updates GFP flags to enforce what flags are allowed
> > during a global context such as booting or suspend. This patch moves the
> > enforcement from __alloc_pages to prepare_alloc_pages so the code can be
> > shared between the single page allocator and a new bulk page allocator.
> > 
> > When moving, it is obvious that __alloc_pages() and __alloc_pages
> > use different names for the same variable. This is an unnecessary
> > complication so rename gfp_mask to gfp in prepare_alloc_pages() so the
> > name is consistent.
> > 
> > No functional change.
> 
> Hm, I have some doubts.
> 

And you were right, I'll drop the patch and apply the same mask to the
bulk allocator.

-- 
Mel Gorman
SUSE Labs